| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::PropertyEntry Class Reference

List of all members.

## Detailed Description

    holds the value and the documentation string of a property

Definition at line 122 of file Bindings.py.

## Public Member Functions
def | __init__
def | value
def | ptype
def | property
def | documentation
def | hasDoc
## Private Attributes
| _type
| __doc__
| _value
| _property
| keep the original property

## Member Function Documentation

def GaudiPython::Bindings::PropertyEntry::__init__ | ( |  | self,
|  |  | prop |
| ) |  |  |

Definition at line 124 of file Bindings.py.

    00124                            :
    00125     self._type = type(prop).__name__
    00126     self.__doc__ = " --- Property type is " + self.ptype()
    00127
    00128     if   issubclass(type(prop),GaudiHandleProperty) :
    00129       self._value = prop.value()   # do nothing for ATLAS' handles
    00130     elif issubclass(type(prop),GaudiHandleArrayProperty) :
    00131       self._value = prop.value()   # do nothing for ATLAS' handles
    00132     else :
    00133       # for all other types try to extract the native python type
    00134       try:    self._value = eval( prop.toString() , {} , {} )
    00135       except: self._value = prop.value()
    00136
    00137     self.__doc__ += " --- Default value = " + str(self._value) + " --- "
    00138     if prop.documentation() != 'none':
    00139       self.__doc__ = prop.documentation() + '\\n' + self.__doc__
    00140     ## keep the original property
    00141     self._property = prop # property itself
      def value(self) :

def GaudiPython::Bindings::PropertyEntry::value | ( |  | self | ) |

Definition at line 142 of file Bindings.py.

    00142                   :
    00143     return self._value
      def ptype(self) :

def GaudiPython::Bindings::PropertyEntry::ptype | ( |  | self | ) |

Definition at line 144 of file Bindings.py.

    00144                   :
    00145     return self._type
      def property(self):

def GaudiPython::Bindings::PropertyEntry::property | ( |  | self | ) |

Definition at line 146 of file Bindings.py.

    00146                     :
    00147     "Return the underlying  property itself "
    00148     return self._property
      def documentation(self) :

def GaudiPython::Bindings::PropertyEntry::documentation | ( |  | self | ) |

Definition at line 149 of file Bindings.py.

    00149                           :
    00150     return self.__doc__
      def hasDoc(self):

def GaudiPython::Bindings::PropertyEntry::hasDoc | ( |  | self | ) |

Definition at line 151 of file Bindings.py.

    00151                   :
    00152     return len(self.__doc__)>0 and self.__doc__ != 'none'
    00153
    00154 #----iProperty class---------------------------------------------------------------------
    class iProperty(object) :

## Member Data Documentation

GaudiPython::Bindings::PropertyEntry::_type`[private]`

Definition at line 125 of file Bindings.py.

GaudiPython::Bindings::PropertyEntry::__doc__`[private]`

Definition at line 126 of file Bindings.py.

GaudiPython::Bindings::PropertyEntry::_value`[private]`

Definition at line 129 of file Bindings.py.

GaudiPython::Bindings::PropertyEntry::_property`[private]`

keep the original property

Definition at line 141 of file Bindings.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py